function  [f_sup]=afc_sup(X_sup,F,l);
%USAGE [f_sup]=afc_sup(X_sup,F,l); correspondence analysis
%Compute supplementary elements for 
% Correspondence analysis
% need X_sup: the matrix of elements to compute
%             ALWAYS SUPPOSED TO BE ROWS!!!
%      F    : the coordinates of the other set
%              (i.e., if X_sup are rows F is G_i
%               the columns coordinates)
%      l    :  vector of the eigenvalues
%
%%%%%%%%%%%   Herve Abdi October 2004 %%%%%%%%%%%%%%
[n_sup,nvar]=size(X_sup);
[nvar2,nl]=size(F);
[nl2,toto]=size(l);
 if toto~=1;l=l';[nl2,toto]=size(l);end;
 if toto~=1;error('eigenvalues should be a vector');end
 if nvar~=nvar2;error('Dimensions fo X_sup and F should match');end
 if nl~=nl2;error('Dimensions of F and l should match');end
  

inv_delta=l.^(-1/2);
profile=X_sup./((sum(X_sup')')*ones(1,nvar) );
f_sup=profile*F*diag(inv_delta);